Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1187 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Setting tx power on highest value is ignored

Reported by: tjalling.hattink@ti-wmc.nl Assigned to: mrenzmann
Priority: minor Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: txpower ignored maximum Cc:
Patch is attached: 1 Pending:

Description

When you set the txpower of the card on a value lower than maximum it is honored by the hardware. But when after lowering the txpower you try to set the txpower value back to maximum value it is ignored by the hardware. The iwconfig tool does not give an error and the highest value is reported by iwconfig and iwlist. I've measured the actual txpower output using a spectrum analyser so that's why I found out it was actually ignored.

The solution was quite simple and I attached a patch that solves it (for revision r2187). The maximum txpower setting is honored again.

Attachments

txpower_fix.diff (437 bytes) - added by tjalling.hattink@ti-wmc.nl on 03/08/07 15:43:21.
Patch for fixing maximum txpower setting.

Change History

03/08/07 15:43:21 changed by tjalling.hattink@ti-wmc.nl

  • attachment txpower_fix.diff added.

Patch for fixing maximum txpower setting.

03/08/07 15:44:08 changed by tjalling.hattink@ti-wmc.nl

Ofcourse I have to sign off the patch:

Signed-off-by: Tjalling Hattink <tjalling.hattink@ti-wmc.nl> Twente Institute of Wireless and Mobile Communications

03/08/07 15:51:17 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.
  • milestone set to version 0.9.4.

Thanks, should get committed when 0.9.3 is out of the door.

05/09/07 10:27:55 changed by mrenzmann

  • status changed from assigned to closed.
  • resolution set to fixed.

Committed in r2319. Thanks also to IRC user schurig for bringing this ticket back to my mind ;)

02/11/08 06:15:20 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.